package com.lightinit.hsdataplatformresdir.mapper;

import com.lightinit.hsdataplatformresdir.entity.ResourceApiInterfaceInput;
import com.lightinit.hsdataplatformresdir.entity.ResourceApiInterfaceInputExample;
import java.util.List;

import org.apache.ibatis.annotations.Param;

public interface ResourceApiInterfaceInputMapper {
    long countByExample(ResourceApiInterfaceInputExample example);

    int deleteByExample(ResourceApiInterfaceInputExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ResourceApiInterfaceInput record);

    int insertSelective(ResourceApiInterfaceInput record);

    List<ResourceApiInterfaceInput> selectByExampleWithBLOBs(ResourceApiInterfaceInputExample example);

    List<ResourceApiInterfaceInput> selectByExample(ResourceApiInterfaceInputExample example);

    ResourceApiInterfaceInput selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ResourceApiInterfaceInput record, @Param("example") ResourceApiInterfaceInputExample example);

    int updateByExampleWithBLOBs(@Param("record") ResourceApiInterfaceInput record, @Param("example") ResourceApiInterfaceInputExample example);

    int updateByExample(@Param("record") ResourceApiInterfaceInput record, @Param("example") ResourceApiInterfaceInputExample example);

    int updateByPrimaryKeySelective(ResourceApiInterfaceInput record);

    int updateByPrimaryKeyWithBLOBs(ResourceApiInterfaceInput record);

    int updateByPrimaryKey(ResourceApiInterfaceInput record);

    int deleteByApiInterfaceId(Long aLong);

    List<ResourceApiInterfaceInput> queryOneViewResourceAPIInterfaceInput(long id);

}